STRUCT TEMP(3)

NAME
boost::units::power_typeof_helper

SYNOPSIS

// In header: <boost/units/operators.hpp>
template<typename BaseType, typename Exponent>
struct power_typeof_helper {
  // types
  typedef unspecified type;  // specifies the result type
  // public static functions
  static type value(const BaseType &);
};

DESCRIPTION

A helper used by pow to raise a runtime object to a compile time known exponent. This template is intended to be specialized. All specializations must conform to the interface shown here. Exponent will be either the exponent passed to pow or static_rational<N> for and integer argument, N.

  power_typeof_helper public static functions

    1.

    static type value(const BaseType & base);
    Carries out the runtime calculation. .RE